declare const _default: import("vue").DefineComponent<{
    name: StringConstructor;
    title: StringConstructor;
    value: {
        type: (ObjectConstructor | ArrayConstructor | StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: string;
    };
    setters: {
        type: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
        default(): never[];
    };
    options: {
        type: ArrayConstructor;
        default(): never[];
    };
    variable: {
        type: BooleanConstructor;
        default: boolean;
    };
    node: ObjectConstructor;
}, unknown, unknown, {
    computedSetters(): {
        component: any;
        name: string;
        label: string;
        props: Record<string, any> | undefined;
    }[];
    computedOptions(): unknown[];
    defaultSetter(): string | undefined;
}, {
    getComopnent(name: any): any;
    changeValue(val: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    name: StringConstructor;
    title: StringConstructor;
    value: {
        type: (ObjectConstructor | ArrayConstructor | StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: string;
    };
    setters: {
        type: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
        default(): never[];
    };
    options: {
        type: ArrayConstructor;
        default(): never[];
    };
    variable: {
        type: BooleanConstructor;
        default: boolean;
    };
    node: ObjectConstructor;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    value: string | number | boolean | Record<string, any> | unknown[];
    variable: boolean;
    options: unknown[];
    setters: string | Record<string, any> | unknown[];
}>;
export default _default;
